## GoaError GoaError — Error codes |

## Functions

#define | GOA_ERROR

## Types and Values

enum | GoaError

## Object Hierarchy

## Description

Error codes and D-Bus errors.

## Functions

### GOA_ERROR

    #define GOA_ERROR (goa_error_quark ())

Error domain for Goa. Errors in this domain will be form the GoaError enumeration. See GError for more information on error domains.

## Types and Values

### enum GoaError

Error codes for the GOA_ERROR error domain and the corresponding D-Bus error names.

#### Members

GOA_ERROR_FAILED | The operation failed. |
GOA_ERROR_NOT_SUPPORTED | The operation is not supported. |
GOA_ERROR_DIALOG_DISMISSED | The dialog was dismissed. |
GOA_ERROR_ACCOUNT_EXISTS | Account already exists. |
GOA_ERROR_NOT_AUTHORIZED | Not authorized to perform operation. |
GOA_ERROR_SSL | Invalid SSL certificate. |